Installation
Highlighted

New compatibility matrix for 5.0 upgrades?

Splunk Employee
Splunk Employee

Is there a new compatibility matrix for upgrades from 4.x to 5.0? The docs I've found indicate that forwarders are forward compatible with newer versions of indexers, but all search heads within an environment need to be the same major version. Additionally, it seems like even within minor versions of 4.x Search Head to Search Peer functionality dictates that Search Heads and Indexers should be the same minor version.

Unfortunately, the docs seem to have been copied over from the "upgrade from 3.x to 4.x" or the "upgrade from 4.x to 4.y" docs, so I'm not sure if they still apply.

A couple of questions:

  1. Are these guidelines still valid for a 4.x to 5.0 upgrade?
  2. In a distributed environment, are there any issues with a 4.x deployment client and a 5.x deployment server?
Tags (3)
Highlighted

Re: New compatibility matrix for 5.0 upgrades?

Splunk Employee
Splunk Employee

Here are the links to the docs for version compatibilities:

Search head and node compatibility and Indexer and UF compatibility

View solution in original post

0 Karma